import { world, system } from '@minecraft/server';
import { ActionFormData } from '@minecraft/server-ui'

world.beforeEvents.itemUse.subscribe((eventData) => {
  let item = eventData.itemStack;
  let player = eventData.source;
  if (item === "nn:gui") {
    WeatherUI(player);
    system.run(() => {
      player.runCommandAsync(`playsound note.bit @s`)
    })
  }
});
function WeatherUI(player) {
  let WeatherSc = new ActionFormData();
  WeatherSc .title('Weather Menu');
  WeatherSc.body(' Welcome to Weather Menu');
  WeatherSc.button('Force Tornado', 'textures/sut/tornados');
  WeatherSc.button('Spawn Supercell', 'textures/sut/supercull');
  WeatherSc.button('Weather Thunder', 'textures/sut/tung');
  WeatherSc.button('Weather Rain', 'textures/sut/ting');
  WeatherSc.button('Spawn Cloudy', 'textures/sut/cls');
  WeatherSc.button('Stop All Storm', 'textures/sut/silang');
  WeatherSc.show(player).then(weit => {
    if (weit.selection == 0) {
      ForceTornado(player);
      player.runCommandAsync(`playsound note.bit @s`);
    }
    if (weit.selection == 1) {
      player.runCommandAsync(`summon nn:storm`);
    }
    if (weit.selection == 2) {
      player.runCommandAsync(`weather thunder`);
    }
    if (weit.selection == 3) {
      player.runCommandAsync(`weather rain`);
    }
    if (weit.selection == 4) {
      player.runCommandAsync(`summon nn:cloudy`);
    }
    if (weit.selection == 5) {
      player.runCommandAsync(`kill @e[type=nn:tornado0]`);
      player.runCommandAsync(`kill @e[type=nn:tornado]`);
      player.runCommandAsync(`kill @e[type=nn:tornado2]`);
      player.runCommandAsync(`kill @e[type=nn:tornado3]`);
      player.runCommandAsync(`kill @e[type=nn:tornado4]`);
      player.runCommandAsync(`kill @e[type=nn:tornado5]`);
      player.runCommandAsync(`kill @e[type=nn:storm]`);
      player.runCommandAsync(`kill @e[type=nn:cloudy]`);
      player.runCommandAsync(`weather clear`);
    }
  })
}
function ForceTornado(player) {
  let FTR = new ActionFormData();
  FTR.title('Force Tornado');
  FTR.body(' Welcome to Force Tornado');
  FTR.button('Spawn TornadoF0', 'textures/sut/tornados');
  FTR.button('Spawn TornadoF1', 'textures/sut/tornados');
  FTR.button('Spawn TornadoF2', 'textures/sut/tornados');
  FTR.button('Spawn TornadoF3', 'textures/sut/tornados');
  FTR.button('Spawn TornadoF4', 'textures/sut/tornados');
  FTR.button('Spawn TornadoF5', 'textures/sut/tornados');
  FTR.show(player).then(weut => {
    if (weut.selection == 0) {
      player.runCommandAsync(`summon nn:tornado0`);
    }
    if (weut.selection == 1) {
      player.runCommandAsync(`summon nn:tornado`);
    }
    if (weut.selection == 2) {
      player.runCommandAsync(`summon nn:tornado2`);
    }
    if (weut.selection == 3) {
      player.runCommandAsync(`summon nn:tornado3`);
    }
    if (weut.selection == 4) {
      player.runCommandAsync(`summon nn:tornado4`);
    }
    if (weut.selection == 5) {
      player.runCommandAsync(`summon nn:tornado5`);
    }
  })
}