import { world, system, Player } from '@minecraft/server';
import { ActionFormData } from '@minecraft/server-ui'

world.beforeEvents.itemUse.subscribe((eventData) => {
  let item = eventData.itemStack;
  let player = eventData.source;
  if (item.typeId == "nn:gui") {
    system.run(() => {
     WeatherUI(player);
    });
  }
});
function WeatherUI(player) {
  const WeatherSc = new ActionFormData();
  WeatherSc.title('Weather Debug Menu');
  WeatherSc.body(' ');
  WeatherSc.button('Spawn Tornado');
  WeatherSc.button('Spawn Storm');
  WeatherSc.button('Next Storm');
  WeatherSc.button('Stop All Storm');
  WeatherSc.show(player).then(weit => {
    if (weit.selection == 0) {
      ForceTornado(player);
      player.runCommandAsync(`playsound note.bit @s`);
    }
    if (weit.selection == 1) {
      player.runCommandAsync(`summon nn:storm`);
    }
    if (weit.selection == 2) {
      player.runCommandAsync(`weather rain`);
      player.runCommandAsync(`weather thunder`);
      player.runCommandAsync(`summon nn:cloudy`);
      player.runCommandAsync(`execute @e[type=nn:cloudy] ~~~ event entity @e[type=nn:cloudy] Menengo_Storm`);
      player.runCommandAsync(`execute @e[type=nn:storm] ~~~ event entity @e[type=nn:storm] Menengo_EpEp0`);
      player.runCommandAsync(`execute @e[type=nn:tornado0] ~~~ event entity @e[type=nn:tornado0] Menengo_EpEp1`);
      player.runCommandAsync(`execute @e[type=nn:tornado] ~~~ event entity @e[type=nn:tornado] Menengo_EpEp2`);
      player.runCommandAsync(`execute @e[type=nn:tornado2] ~~~ event entity @e[type=nn:tornado2] Menengo_EpEp3`);
      player.runCommandAsync(`execute @e[type=nn:tornado3] ~~~ event entity @e[type=nn:tornado3] Menengo_EpEp4`);
      player.runCommandAsync(`execute @e[type=nn:tornado4] ~~~ event entity @e[type=nn:tornado4] Menengo_EpEp5`) 
      player.runCommandAsync(`kill @e[type=nn:tornado5]`);
    }
    if (weit.selection == 3) {
      player.runCommandAsync(`kill @e[type=nn:tornado0]`);
      player.runCommandAsync(`kill @e[type=nn:tornado]`);
      player.runCommandAsync(`kill @e[type=nn:tornado2]`);
      player.runCommandAsync(`kill @e[type=nn:tornado3]`);
      player.runCommandAsync(`kill @e[type=nn:tornado4]`);
      player.runCommandAsync(`kill @e[type=nn:tornado5]`);
      player.runCommandAsync(`kill @e[type=nn:storm]`);
      player.runCommandAsync(`kill @e[type=nn:cloudy]`);
      player.runCommandAsync(`weather clear`);
    }
  })
}
function ForceTornado(player) {
  const FTR = new ActionFormData();
  FTR.title('Force Tornado');
  FTR.body(' ');
  FTR.button('Spawn Tornado EF0');
  FTR.button('Spawn Tornado EF1');
  FTR.button('Spawn Tornado EF2');
  FTR.button('Spawn Tornado EF3');
  FTR.button('Spawn Tornado EF4');
  FTR.button('Spawn Tornado EF5');
  FTR.show(player).then(weut => {
    if (weut.selection == 0) {
      player.runCommandAsync(`summon nn:tornado0`);
    }
    if (weut.selection == 1) {
      player.runCommandAsync(`summon nn:tornado`);
    }
    if (weut.selection == 2) {
      player.runCommandAsync(`summon nn:tornado2`);
    }
    if (weut.selection == 3) {
      player.runCommandAsync(`summon nn:tornado3`);
    }
    if (weut.selection == 4) {
      player.runCommandAsync(`summon nn:tornado4`);
    }
    if (weut.selection == 5) {
      player.runCommandAsync(`summon nn:tornado5`);
    }
  })
}//Buatan Anak Indonesia